ensure couchdb build shell scripts bail on failure
diff --git a/bin/couchdb_build.sh b/bin/couchdb_build.sh
index 0919000..2d528ec 100755
--- a/bin/couchdb_build.sh
+++ b/bin/couchdb_build.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -e
 COUCH_TOP=`pwd`
 export COUCH_TOP
 
diff --git a/bin/couchdb_config.sh b/bin/couchdb_config.sh
index fe1412a..7478028 100755
--- a/bin/couchdb_config.sh
+++ b/bin/couchdb_config.sh
@@ -1,8 +1,15 @@
 #!/bin/sh
+set -e
 COUCH_TOP=`pwd`
 export COUCH_TOP
 export RELAX=`cygpath $RELAX`
 
+if [ ! -e "$COUCH_TOP/configure" ]
+then
+    echo ============= COUCHDB_CONFIG BOOTSTRAP ====================
+    ./bootstrap 2>&1 | tee $COUCH_TOP/build_configure.txt
+fi
+
 echo ============= COUCHDB_CONFIG CONFIGURE ===================
 ./configure \
 --prefix=$ERL_TOP/release/win32 \
@@ -15,7 +22,7 @@
 --disable-init \
 --disable-launchd \
 #--with-win32-curl=$COUCH_TOP/../curl \
-2>&1 | tee $COUCH_TOP/build_configure.txt
+2>&1 | tee -a $COUCH_TOP/build_configure.txt
 
 echo ============= COUCHDB_CONFIG CONFIGURE ===================
 echo DONE. | tee -a $COUCH_TOP/build_configure.txt